#ifndef GENERIC_FI_H
#define GENERIC_FI_H

/* IAR ARM intrinsic function prototypes are found in the intrinsics.h header file */

/* The following are pre-declared by the compiler.
 * See DLib_Product_string.h
   */
void __aeabi_memset (void *, unsigned int, int);
void __aeabi_memcpy (void *, const void *, unsigned int);
void __aeabi_memmove(void *, const void *, unsigned int);

/* section operator extensions available in C and C++ */
void * __segment_begin(char *);
void * __segment_end(char *);


#else
#error "Multiple include"
#endif  /* ifndef GENERIC_FI_H */
